#include "Arduino.h"

//MICRO
//7-Segment-Anzeige
//Testprogramm

//
//    A
//  F   B
//    G  
//  E   C
//    D
//

class Digits
{
      private:
          const unsigned char digits[10] = {0b01111110,0b00001100,0b10110110,0b10011110,0b11001100,
                                           0b11011010,0b11111010,0b00001110,0b11111110,0b11011110};      
          int inx = 0;
      public:
          void start()
          {
             //A-G OUT
             //........GFEDCBA
             DDRB |= 0b11111110;

             //D1-D4 OUT
             //..........D43:21
             DDRD |= 0b00011111;

             //D1-D5 auf 5V
             //...........D43:21
             PORTD |= 0b00011111;
            
          }
      
      
          void show(int nummer) // 0...9999
          {
               PORTD |= 0b00011111;
               switch(inx)
               {
                   case 0:
                     PORTB = digits[nummer/1000];
                   break;
                   case 1:
                     PORTB = digits[(nummer/100)%10];
                   break;
                   case 2:
                     PORTB = 0;
                   break;
                   case 3:
                     PORTB = digits[(nummer/10)%10];
                   break;
                   default:
                     PORTB = digits[nummer%10];
                   break;
               }
               PORTD &= ~(1<<inx);                                                      
               
               inx++;
               inx%=5;
          }
          
};


